package com.its.op.entity.its.vms;

/**
 * VMS FORM OBJECT Entity Class
 */
public interface TbVmsFormObjectDetlInf {

    Integer getVmsFormObjectId();
    Integer getVmsFormId();
    Integer getVmsFormDsplRow();
    Integer getVmsFormDsplClmn();
    Integer getVmsFormObjectTypeCd();
    Integer getVmsFontNameCd();
    Integer getVmsFontColrCd();
    Integer getVmsFontBold();
    Integer getVmsFontSize();
    Integer getVmsFontAlign();
    String getVmsDsplTxt();
    byte[] getVmsDsplFigr();
    Integer getVmsDsplXcrdn();
    Integer getVmsDsplYcrdn();
    Integer getVmsDsplWidth();
    Integer getVmsDsplHeight();
    Integer getVmsDsplBlinking();
    Integer getVmsDsplBkcolor();
    Integer getVmsDsplSize();
    String  getTrfcFillCd();
    Integer getSymbLibNmbr();
    Long    getVmsIfscId();

    String getVmsFontName();
    byte[]  getImagData();
    String  getSymbExpl();

    String getVmsTypeCd();
    Integer getVmsFormTypeCd();
    Integer getVmsFormColrCd();
    String getVmsFormNm();

}
